%{?nodejs_find_provides_and_requires}
Name:                nodejs-uri-path
Version:             1.0.0
Release:             1
Summary:             Convert relative file system paths into safe URI paths
License:             MIT
URL:                 https://www.npmjs.com/package/uri-path
Source0:             https://registry.npmjs.org/uri-path/-/uri-path-%{version}.tgz
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
BuildRequires:       nodejs-packaging
BuildRequires:       npm(mocha) npm(should)
%description
%{summary}.

%prep
%autosetup -n package
rm -rf node_modules

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/uri-path
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/uri-path
%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%__nodejs -e "require('./')"
%{nodejs_sitelib}/mocha/bin/mocha

%files
%doc README.md CONTRIBUTING.md
%license LICENSE-WTFPL LICENSE-MIT
%{nodejs_sitelib}/uri-path

%changelog
* Tue Aug 11 2020 zhanghua <zhanghua40@huawei.com> - 1.0.0-1
- package init
